Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1885702 - Cypress: Fix 'aria-hidden-focus' accesibility violations
Summary: Cypress: Fix 'aria-hidden-focus' accesibility violations
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.6.z
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.7.0
Assignee: David Taylor
QA Contact: Yadan Pei
URL:
Whiteboard:
Depends On:
Blocks: 1890676 1885706 1888430 1888985 1890678
TreeView+ depends on / blocked
 
Reported: 2020-10-06 19:07 UTC by David Taylor
Modified: 2021-02-24 15:24 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1885706 1888985 1890676 1890678 (view as bug list)
Environment:
Last Closed: 2021-02-24 15:23:22 UTC
Target Upstream Version:


Attachments (Terms of Use)
Cypress a11y violations info. (166.09 KB, image/png)
2020-10-06 19:07 UTC, David Taylor
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 6910 0 None closed Bug 1885702: Cypress: Fix 'aria-hidden-focus' accesibility violations 2021-01-26 16:39:57 UTC
Red Hat Product Errata RHSA-2020:5633 0 None None None 2021-02-24 15:24:10 UTC

Description David Taylor 2020-10-06 19:07:15 UTC
Created attachment 1719478 [details]
Cypress a11y violations info.

The 3 'aria-hidden-focus' a11y viloations in these Cypress tests:

*Running: crud/namespace-crud.spec.ts*

1 accessibility violation was detected for Create Namespace modal

'aria-hidden-focus' │ 'serious' │ 'Ensures aria-hidden elements do not contain focusable elements' │ 1 │
       delete the Namespace

1 accessibility violation was detected for Delete Namespace modal

'aria-hidden-focus' │ 'serious' │ 'Ensures aria-hidden elements do not contain focusable elements' │ 1 │
       delete project

 
Running: monitoring/monitoring.spec.ts

1 accessibility violation was detected for Expire Silence modal

'aria-hidden-focus' │ 'serious' │ 'Ensures aria-hidden elements do not contain focusable elements' │ 1 │{code}
    delete project

You can run these tests in the Cypress Test Runner and click on the a11y violations to see more info. in the Dev-Console, Console. (see attachement)

Comment 2 Yadan Pei 2020-10-20 09:09:10 UTC
Search `accessibility violation was detected` error in CI Junit logs

https://search.ci.openshift.org/?search=accessibility+violation+was+detected&maxAge=48h&context=1&type=junit&name=&maxMatches=5&maxBytes=20971520&groupBy=job 


No aria-hidden-focus accesibility violations found

Comment 5 errata-xmlrpc 2021-02-24 15:23:22 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633


Note You need to log in before you can comment on or make changes to this bug.